lzw_decoder.hpp File Reference

A class to help decoding a stream encoded with Lempel-Ziv-Welch (LZW) compression algorithm. More...

`#include <vector>`
`#include <utility>`
`#include <claw/impl/lzw_decoder.tpp>`

Go to the source code of this file.

## Classes

class | claw::lzw_decoder< InputBuffer, OutputBuffer >
| A class to help decoding a stream encoded with Lempel-Ziv-Welch (LZW) compression algorithm. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

A class to help decoding a stream encoded with Lempel-Ziv-Welch (LZW) compression algorithm.

Author
  Julien Jorge

Definition in file lzw_decoder.hpp.